ProyectoCrm/src/app/Modulos/ArticuloModulo/Paginas/fw-articulo/Componentes/fw-articulo-detalles-imagenes/fw-articulo-detalles-imagenes.component.html

<div class="form-row border-bottom-secondary mb-2">
  <div class="form-group col-12">
    <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-images mr-2"></span><span>Imagenes</span></h5>
  </div>
</div>
<div class="form-row mb-4">
  <div class="form-group col-12 col-lg-4">
    <div class="ControlInput">
      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-tag"></i></span></div>
      <select class="ControlInput--Select" [(ngModel)]="tTiposImagenesActual" size-select="sm" (change)="FiltrarImagenes()">
        <option *ngFor="let tTipoImg of tTipos" [ngValue]="tTipoImg"> {{ tTipoImg.Codtipo }}</option>
      </select>
    </div>
  </div>
  <div class="form-group col-12 col-lg-8 custom-file">
    <input class="custom-file-input" type="file" [disabled]="BloquearImagen()" #flArchivo="" accept=".jpg" (change)="CargarImagenes($event)" multiple="multiple" id="flArchivo"/>
    <label class="custom-file-label" for="flArchivo">Seleccionar archivos</label>
  </div>
</div>
<div class="form-row mt-4">
  <div class="ContenedorImagenes">
    <div class="ContenedorImagenes--Cabecera">
      <div class="col-4">
        <h6 class="Carrito--Cabecera-ColumnaEtiqueta">Imagen</h6>
      </div>
      <div class="col-2">
        <h6 class="Carrito--Cabecera-ColumnaEtiqueta">Principal</h6>
      </div>
      <div class="col-2">
        <h6 class="Carrito--Cabecera-ColumnaEtiqueta">Ver</h6>
      </div>
      <div class="col-2">
        <h6 class="Carrito--Cabecera-ColumnaEtiqueta">Eliminar</h6>
      </div>
      <div class="col-2">
        <h6 class="Carrito--Cabecera-ColumnaEtiqueta">Orden</h6>
      </div>
    </div>
    <div class="ContenedorImagenes--Detalles">
      <ng-container *ngFor="let tImagenFor of tArticuloImgFiltrado | slice: (tPaginaImagen-1) * tTamanoPagImagen : (tPaginaImagen-1) * tTamanoPagImagen + tTamanoPagImagen; let jv = index;">
        <div class="ContenedorImagenes--Item" [ngClass]="{'border-left-primary':tImagenFor.Principal===1}">
          <div class="col-4">
            <div class="ContenedorImagenes--Item-Imagen"><img class="ContenedorImagenes--Item-Imagen" [src]="ObtenerUrl(tImagenFor.Url)" alt=""/></div>
          </div>
          <div class="col-2">
            <button class="btn btn-success btn-sm" type="button" (click)="ImagenPrincipal(tImagenFor)" *ngIf="tImagenFor.Principal===0"><span class="fas fa-star"></span></button>
          </div>
          <div class="col-2">
            <button class="btn btn-primary btn-sm" type="button" (click)="SeleccionarImagen(tImagenFor)"><span class="fas fa-eye"></span></button>
          </div>
          <div class="col-2">
            <button class="btn btn-danger btn-sm" type="button" (click)="EliminarImagen(tImagenFor, jv)"><span class="fas fa-trash-alt"></span></button>
          </div>
          <div class="col-2">
            <div class="row">
              <div class="col-12">
                <button class="btn btn-link btn-sm" type="button" (click)="SubirOrden(tImagenFor)"><span class="fas fa-caret-up"></span></button>
              </div>
            </div>
            <div class="row">
              <div class="col-12">
                <h6 class="ContenedorImagenes--Item-Titulo">{{ tImagenFor.Orden }}</h6>
              </div>
            </div>
            <div class="row">
              <div class="col-12">
                <button class="btn btn-link btn-sm" type="button" (click)="BajarOrden(tImagenFor)"><span class="fas fa-caret-down"></span></button>
              </div>
            </div>
          </div>
        </div>
      </ng-container>
    </div>
    <div class="ContenedorImagenes--Paginacion">
      <div class="form-group col-12">
        <ngb-pagination class="d-flex justify-content-center" [collectionSize]="tArticuloImgFiltrado.length" [(page)]="tPaginaImagen" aria-label="Default pagination" [pageSize]="tTamanoPagImagen" [maxSize]="5" [rotate]="true" [ellipses]="false" [boundaryLinks]="true"></ngb-pagination>
      </div>
    </div>
  </div>
  <div class="ContendorImagenDetalle">
    <ng-container *ngIf="tArticuloImgFiltrado.length === 0">
      <div class="row text-center align-middle">
        <div class="col-12"><img class="ContendorImagenDetalle--ImagenDetalle" src="assets/ImagenesArticulos.svg"/></div>
      </div>
    </ng-container>
    <ng-container *ngIf="tArticuloImgFiltrado.length &gt; 0 &amp;&amp; tTiposImagenesActual.Codtipo === 'GALERIA'">
      <div class="row text-center align-middle">
        <div class="col-12"><img class="ContendorImagenDetalle--ImagenDetalle" [src]="ObtenerUrl(tArticuloImgActual.Url)"/></div>
      </div>
    </ng-container>
    <ng-container *ngIf="tArticuloImgFiltrado.length &gt; 0 &amp;&amp; tTiposImagenesActual.Codtipo === 'SPRITE'">
      <div class="row text-center align-middle">
        <div class="col-12"><img class="ContendorImagenDetalle--ImagenDetalle" [src]="ObtenerUrl(tArticuloImgActual.Url)"/></div>
      </div>
      <div class="row text-center align-middle">
        <div class="col-12">
          <input class="custom-range" type="range" min="0" [max]="tArticuloImgFiltrado.length" [(ngModel)]="tPosicionSprite" (input)="MostrarImagenes()"/>
        </div>
      </div>
    </ng-container>
  </div>
</div>

ProyectoCrm/src/app/Modulos/ArticuloModulo/Paginas/fw-articulo/Componentes/fw-articulo-detalles-imagenes/fw-articulo-detalles-imagenes.component.pug
div.form-row.border-bottom-secondary.mb-2
  div.form-group.col-12
    h5.card-title.mb-0.text-gray-800
      span.fas.fa-images.mr-2
      span Imagenes
div.form-row.mb-4
  div.form-group.col-12.col-lg-4
    div.ControlInput
      div.ControlInput--ContenedorIcono
        span.ControlInput--ContenedorIcono-Icono
          i.fas.fa-tag
      select([(ngModel)]="tTiposImagenesActual",
          size-select="sm",
          (change)="FiltrarImagenes()").ControlInput--Select
        option(*ngFor="let tTipoImg of tTipos",
            [ngValue]="tTipoImg")  {{ tTipoImg.Codtipo }}
  div.form-group.col-12.col-lg-8.custom-file
    input(type="file",
        [disabled]="BloquearImagen()",
        #flArchivo="",
        accept=".jpg",
        (change)="CargarImagenes($event)",
        multiple)#flArchivo.custom-file-input
    label(for="flArchivo").custom-file-label Seleccionar archivos
div.form-row.mt-4
  div.ContenedorImagenes
    div.ContenedorImagenes--Cabecera
      div.col-4
        h6.Carrito--Cabecera-ColumnaEtiqueta Imagen
      div.col-2
        h6.Carrito--Cabecera-ColumnaEtiqueta Principal
      div.col-2
        h6.Carrito--Cabecera-ColumnaEtiqueta Ver
      div.col-2
        h6.Carrito--Cabecera-ColumnaEtiqueta Eliminar
      div.col-2
        h6.Carrito--Cabecera-ColumnaEtiqueta Orden
    div.ContenedorImagenes--Detalles
      ng-container(*ngFor="let tImagenFor of tArticuloImgFiltrado | slice: (tPaginaImagen-1) * tTamanoPagImagen : (tPaginaImagen-1) * tTamanoPagImagen + tTamanoPagImagen; let jv = index;")
        div([ngClass]="{'border-left-primary':tImagenFor.Principal===1}").ContenedorImagenes--Item
          div.col-4
            div.ContenedorImagenes--Item-Imagen
              img([src]="ObtenerUrl(tImagenFor.Url)", alt="").ContenedorImagenes--Item-Imagen
          div.col-2
            button(type="button",
                (click)="ImagenPrincipal(tImagenFor)",
                *ngIf="tImagenFor.Principal===0").btn.btn-success.btn-sm
              span.fas.fa-star
          div.col-2
            button(type="button",
                (click)="SeleccionarImagen(tImagenFor)").btn.btn-primary.btn-sm
              span.fas.fa-eye
          div.col-2
            button(type="button",
                (click)="EliminarImagen(tImagenFor, jv)").btn.btn-danger.btn-sm
              span.fas.fa-trash-alt
          div.col-2
            div.row
              div.col-12
                button(type="button",
                    (click)="SubirOrden(tImagenFor)").btn.btn-link.btn-sm
                  span.fas.fa-caret-up
            div.row
              div.col-12
                h6.ContenedorImagenes--Item-Titulo {{ tImagenFor.Orden }}
            div.row
              div.col-12
                button(type="button",
                    (click)="BajarOrden(tImagenFor)").btn.btn-link.btn-sm
                  span.fas.fa-caret-down
    div.ContenedorImagenes--Paginacion
      div.form-group.col-12
        ngb-pagination([collectionSize]="tArticuloImgFiltrado.length",
                        [(page)]="tPaginaImagen",
                        aria-label="Default pagination",
                        [pageSize]="tTamanoPagImagen",
                        [maxSize]="5",
                        [rotate]="true",
                        [ellipses]="false",
                        [boundaryLinks]="true").d-flex.justify-content-center
  div.ContendorImagenDetalle
    ng-container(*ngIf="tArticuloImgFiltrado.length === 0")
      div.row.text-center.align-middle
        div.col-12
          img(src="assets/ImagenesArticulos.svg").ContendorImagenDetalle--ImagenDetalle
    ng-container(*ngIf="tArticuloImgFiltrado.length > 0 && tTiposImagenesActual.Codtipo === 'GALERIA'")
      div.row.text-center.align-middle
        div.col-12
          img([src]="ObtenerUrl(tArticuloImgActual.Url)").ContendorImagenDetalle--ImagenDetalle
    ng-container(*ngIf="tArticuloImgFiltrado.length > 0 && tTiposImagenesActual.Codtipo === 'SPRITE'")
      div.row.text-center.align-middle
        div.col-12
          img([src]="ObtenerUrl(tArticuloImgActual.Url)").ContendorImagenDetalle--ImagenDetalle
      div.row.text-center.align-middle
        div.col-12
          input(type="range",
            min="0",
            [max]="tArticuloImgFiltrado.length",
            [(ngModel)]="tPosicionSprite",
            (input)="MostrarImagenes()").custom-range
